/*
	\author Matt English
	\date 9/20/06
	\brief
		This file is the form for the new level form created after clicking the new level button

		All content copyright  2006 DigiPen(USA) Corporation
*/
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using DirectX_Tutorial;

namespace ns_Controls
{
    public partial class NewLevel : Form
    {
        private DirectX_Tutorial.WinForm winFormref;/*!
           Default constructor for the NewLevel Class

           \author
               Matt English
       */

        public NewLevel()
        {
            InitializeComponent();
        }
        /*!
           Constructor for the NewLevel class
         * 
         * \param wfref
         *      the originator form

           \author
               Matt English
       */
		public NewLevel(DirectX_Tutorial.WinForm wfref)
        {
            InitializeComponent();
            winFormref = wfref;
			//MessageBox.Show(this, "Please enter a width than 0 and below 1024", "Caption", MessageBoxButtons.OK);
			//MessageBox.Show("this");
        }

        private void Button_OK_Click(object sender, EventArgs e)
        {
			string width = TextBox_Width.Text;
			int iwidth = System.Convert.ToInt32(width);
			string height = TextBox_Height.Text;
			int iheight = System.Convert.ToInt32(height);

            if (iwidth < 0 || iwidth > 1024)
            {
                MessageBox.Show(this, "Please enter a width greater than 0 and below 1024", "Caption", MessageBoxButtons.OK);
                return;
            }
            if (iheight < 0 || iheight > 1024)
            {
                MessageBox.Show(this, "Please enter a height greater than 0 and below 1024", "Caption", MessageBoxButtons.OK);
                return;
            }
            winFormref.CreateNewHeightMap(iwidth, iheight);
            winFormref.VertexDeclaration();
            winFormref.IndiciesDeclaration();
            this.Close();
        }
    }
}